package com.ruoyi.ems.domain;

import java.sql.Time;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 电价策略小时对象 adm_elecprice_strategy_hour
 * 
 * @author ruoyi
 * @date 2024-08-23
 */
public class ElecPriceStrategyHour extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 策略代码 */
    @Excel(name = "策略代码")
    private String strategyCode;

    /** 开始时间 */
    @JsonFormat(pattern = "HH:mm")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Time startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "HH:mm")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Time endTime;

    /** 计量类型 */
    @Excel(name = "计量类型")
    private Long type;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setStrategyCode(String strategyCode) 
    {
        this.strategyCode = strategyCode;
    }

    public String getStrategyCode() 
    {
        return strategyCode;
    }

    public Time getStartTime() {
        return startTime;
    }

    public void setStartTime(Time startTime) {
        this.startTime = startTime;
    }

    public Time getEndTime() {
        return endTime;
    }

    public void setEndTime(Time endTime) {
        this.endTime = endTime;
    }

    public void setType(Long type)
    {
        this.type = type;
    }

    public Long getType() 
    {
        return type;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("strategyCode", getStrategyCode())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("type", getType())
            .toString();
    }
}
